#!/bin/bash

source init.sh


# print help
if [ "$1" == "help" ] || [ "$1" == "--help" ]; then

  echo "USAGE: $0 [all|help]"
  echo "  all:  Download sample images and videos and build all"
  echo "        running script without the 'all' argument only build all examples"
  echo "  help: Print this help"

  exit

fi


# download and unpack images and videos for the examples
if [ "$1" == "all" ]; then

  for (( i = 0; i < ${#IMAGES_VIDEOS[@]}; i++ )); do
    echo "******************************************************************************"
    echo "Get ${IMAGES_VIDEOS[$i]}"

    echo "wget -O ${IMAGES_VIDEOS[$i]} ${IMAGES_VIDEOS_SRC}${IMAGES_VIDEOS[$i]}"
    wget -O ${IMAGES_VIDEOS[$i]} ${IMAGES_VIDEOS_SRC}${IMAGES_VIDEOS[$i]}

    echo "tar -xvzf ${IMAGES_VIDEOS[$i]} -C ${VITIS_AI_DIR}/demo/Vitis-AI-Library"
    tar -xvzf ${IMAGES_VIDEOS[$i]} -C ${VITIS_AI_DIR}/demo/Vitis-AI-Library

    echo -e "Done \n"
  done

fi


#source cross-compiler
. ${PLATFORM_SYSROOTS_DIR}/environment-setup-cortexa72-cortexa53-xilinx-linux


# build all projets
for (( i = 0; i < ${#SAMPLES_DIR[@]}; i++ )); do

  echo "******************************************************************************"
  echo "Build ${SAMPLES_DIR[$i]}"

  cd ${VITIS_AI_DIR}/demo/Vitis-AI-Library/samples/${SAMPLES_DIR[$i]}

  if [ -e build.sh ]; then
    chmod +x build.sh
    ./build.sh
  else
    echo "build.sh does not exist"
  fi

  echo "Done"

done


cd ${THIS_DIR}
